Loading...
Searching...
No Matches
BALL::MMFF94Torsion Class Reference
Molecular Modeling » Molecular Mechanics » MMFF94 Force Field.

`#include <BALL/MOLMEC/MMFF94/MMFF94Torsion.h>`

Inheritance diagram for BALL::MMFF94Torsion:

## Classes

struct | Torsion
| see MMFFTOR.PAR More...

## Public Member Functions

Constructors and Destructors
| MMFF94Torsion ()
| MMFF94Torsion (ForceField &force_field)
| MMFF94Torsion (const MMFF94Torsion &MMFF94_stretch)
virtual | ~MMFF94Torsion ()
Setup Methods
virtual bool | setup ()
Public Member Functions inherited from BALL::ForceFieldComponent
| ForceFieldComponent ()
| ForceFieldComponent (ForceField &force_field)
| ForceFieldComponent (const ForceFieldComponent &force_field_component)
virtual | ~ForceFieldComponent ()
ForceField * | getForceField () const
void | setForceField (ForceField &force_field)
void | setName (const String &name)
String | getName () const
bool | isEnabled () const
void | setEnabled (bool state)
virtual double | getEnergy () const
virtual void | update ()
double | updateScore ()
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
virtual void | clear ()
virtual void | setupLigand ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | update (const vector< std::pair< Atom *, Atom * > > &pair_vector)
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Accessors

vector< Torsion > | torsions_
MMFF94TorsionParameters | parameters_
virtual double | updateEnergy ()
virtual void | updateForces ()
Position | getTorsionType (const vector< Atom * > &atoms) const
const vector< Torsion > & | getTorsions () const
void | AddDV3_ (Vector3 &f3, const TVector3< double > d3)
double | getU_ (Position e)
double | getV_ (Position e)
bool | calculateHeuristic_ (const Atom &aj, const Atom &ak, double &v1, double &v2, double &v3)

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const
ForceField * | force_field_
double | energy_
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Detailed Description

MMFF94 bond stretch component

Definition at line 27 of file MMFF94Torsion.h.

## Constructor & Destructor Documentation

## MMFF94Torsion() [1/3]

BALL::MMFF94Torsion::MMFF94Torsion | ( |  | ) |

Default constructor.

## MMFF94Torsion() [2/3]

BALL::MMFF94Torsion::MMFF94Torsion | ( | ForceField & | force_field | ) |

Constructor.

## MMFF94Torsion() [3/3]

BALL::MMFF94Torsion::MMFF94Torsion | ( | const MMFF94Torsion & | MMFF94_stretch | ) |

Copy constructor

## ~MMFF94Torsion()

virtual BALL::MMFF94Torsion::~MMFF94Torsion | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## AddDV3_()

void BALL::MMFF94Torsion::AddDV3_ | ( | Vector3 & | f3,
|  | const TVector3< double > | d3 )

inline protected

## calculateHeuristic_()

bool BALL::MMFF94Torsion::calculateHeuristic_ | ( | const Atom & | aj,
|  | const Atom & | ak,
|  | double & | v1,
|  | double & | v2,
|  | double & | v3 )

protected

## getTorsions()

const vector< Torsion > & BALL::MMFF94Torsion::getTorsions | ( |  | ) | const

inline

Definition at line 106 of file MMFF94Torsion.h.

## getTorsionType()

Position BALL::MMFF94Torsion::getTorsionType | ( | const vector< Atom * > & | atoms | ) | const

## getU_()

double BALL::MMFF94Torsion::getU_ | ( | Position | e | ) |

protected

## getV_()

double BALL::MMFF94Torsion::getV_ | ( | Position | e | ) |

protected

## setup()

virtual bool BALL::MMFF94Torsion::setup | ( |  | ) |

virtual

Setup method.

Exceptions

  BALL::Exception::TooManyErrors |

Reimplemented from BALL::ForceFieldComponent.

## updateEnergy()

virtual double BALL::MMFF94Torsion::updateEnergy | ( |  | ) |

virtual

Calculates and returns the component's energy.

Reimplemented from BALL::ForceFieldComponent.

## updateForces()

virtual void BALL::MMFF94Torsion::updateForces | ( |  | ) |

virtual

Calculates and returns the component's forces.

Reimplemented from BALL::ForceFieldComponent.

## Member Data Documentation

## parameters_

MMFF94TorsionParameters BALL::MMFF94Torsion::parameters_

protected

Definition at line 120 of file MMFF94Torsion.h.

## torsions_

vector<Torsion> BALL::MMFF94Torsion::torsions_

protected

Definition at line 119 of file MMFF94Torsion.h.